Anonymous Login
2019-07-20 20:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000023OpenClonkEnginepublic2013-11-06 16:48
ReporterMarky 
Assigned ToClonk-Karl 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000023: Landscape Border Bug
DescriptionWhen walking to the left or right border of the landscape the Clonk slows down, but can pass through the border and then seems to fall down. After that it takes a little time and the Clonk appears on the landscape again.
Additional InformationTestet on different landscapes, not only the one provided in the repository package
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000053

Marky (developer)

Sometimes the Clonk does not fall but passes halfway through the border, then is teleported back to where he should stop at the border. This behaviour repeats until you manually stop walking into the border

~0000072

Ape (reporter)

Does anybody know what caused this bug? It works on Rage, so what have we changed?

~0000088

Günther (developer)

This changed during the development of Clonk Zoom. It's probably just a minor but in C4Movement.cpp, but the code there is still not very friendly :-(

~0000096

Newton (administrator)

It's like, you try to fix it and then it KICKS you in the nuts! That's how friendly it is!

~0000121

Ringwaul (developer)

I don't know if this is relevant, but I've experienced being able to fully walk out the right side of the environment, while on the left side it will automatically shoot you back into the game world.

~0000440

Clonk-Karl (administrator)

This is fixed in the meanwhile.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-09 18:35 Marky New Issue
2009-07-10 09:07 Marky Note Added: 0000053
2009-07-17 19:26 Ape Note Added: 0000072
2009-08-05 20:38 Günther Note Added: 0000088
2009-08-26 20:45 Newton Note Added: 0000096
2009-10-16 20:06 Ringwaul Note Added: 0000121
2010-04-05 15:11 Clonk-Karl Note Added: 0000440
2010-04-05 15:11 Clonk-Karl Status new => resolved
2010-04-05 15:11 Clonk-Karl Resolution open => fixed
2010-04-05 15:11 Clonk-Karl Assigned To => Clonk-Karl
2013-11-06 11:46 Newton Fixed in Version => 1.0
2013-11-06 16:48 Newton Status resolved => closed
+Issue History